"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerIcon = void 0;
const react_1 = __importDefault(require("react"));
const use_theme_1 = require("../../hooks/use-theme");
const palette_1 = require("@leafygreen-ui/palette");
const emotion_1 = require("@leafygreen-ui/emotion");
const iconStyles = (0, emotion_1.css)({
    flex: 'none',
});
const ServerIcon = () => {
    const darkMode = (0, use_theme_1.useDarkMode)();
    const stroke = darkMode ? palette_1.palette.white : palette_1.palette.gray.dark2;
    return (react_1.default.createElement("svg", { className: iconStyles, width: "16", height: "16", viewBox: "0 0 16 16", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
        react_1.default.createElement("g", { clipPath: "url(#clip0_842_15453)" },
            react_1.default.createElement("path", { d: "M11.6665 1.1665H2.33317C1.68884 1.1665 1.1665 1.68884 1.1665 2.33317V4.6665C1.1665 5.31084 1.68884 5.83317 2.33317 5.83317H11.6665C12.3108 5.83317 12.8332 5.31084 12.8332 4.6665V2.33317C12.8332 1.68884 12.3108 1.1665 11.6665 1.1665Z", stroke: stroke, strokeWidth: "1.25", strokeLinecap: "round", strokeLinejoin: "round" }),
            react_1.default.createElement("path", { d: "M11.6665 8.1665H2.33317C1.68884 8.1665 1.1665 8.68884 1.1665 9.33317V11.6665C1.1665 12.3108 1.68884 12.8332 2.33317 12.8332H11.6665C12.3108 12.8332 12.8332 12.3108 12.8332 11.6665V9.33317C12.8332 8.68884 12.3108 8.1665 11.6665 8.1665Z", stroke: stroke, strokeWidth: "1.25", strokeLinecap: "round", strokeLinejoin: "round" }),
            react_1.default.createElement("path", { d: "M3.5 3.5H3.50667", stroke: stroke, strokeWidth: "1.25", strokeLinecap: "round", strokeLinejoin: "round" }),
            react_1.default.createElement("path", { d: "M3.5 10.5H3.50667", stroke: stroke, strokeWidth: "1.25", strokeLinecap: "round", strokeLinejoin: "round" })),
        react_1.default.createElement("defs", null,
            react_1.default.createElement("clipPath", { id: "clip0_842_15453" },
                react_1.default.createElement("rect", { width: "14", height: "14", fill: "white" })))));
};
exports.ServerIcon = ServerIcon;
//# sourceMappingURL=server-icon.js.map